pydo.vector_databases.get_restore_status()

Generated on 7 Jul 2026 from pydo version v0.39.0

Usage

client.vector_databases.get_restore_status(
    id="\"example string\"",
    backup_id="\"example string\"",
)
Returns JSONRaises HttpResponseError

Description

To check the status of a restore operation, send a GET request to /v2/vector-databases/{id}/backups/{backup_id}/restore. The response body contains the current status of the restore.

Parameters

id string required

Required. ID of the vector database.

backup_id string required

Required. ID of the backup being restored.

Response Example

Show Response Example
{
  "backup_id": "123e4567-e89b-12d3-a456-426614174000",
  "error": "example string",
  "status": "example string"
}

More Information

See /v2/vector-databases/{id}/backups/{backup_id}/restore in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.